/* private.h: martian device driver private declarations
 * IO & ISR
 */

#ifndef __MARSIO_H
#define __MARSIO_H

u8   mars_read_register (struct martian_common *common, u8 reg);
void mars_write_register (struct martian_common *common, u8 reg, u8 val);
void mars_write_word (struct martian_common *common, u16 addr, u16 val);
int  process_stream (struct martian *mdev);

#endif  // __MARSIO_H
