/* coreadd.c:
 *	add hoc substitution functions
 */

unsigned char *rd7_isr;

/* function which user mode isr dp_dsp_isr will call on entrance
 * It's purpose not to read the reg but the value saved by true isr instead
 */
unsigned char mars_read_reg_subst (unsigned char reg) {
        return *rd7_isr;
}

void mars_stub (void *arg1, void *arg2) 
	{}


/*** core_hangup ***/
/* 	it's pin responsibility to call it 
 */
extern void UART_dtr_on (void );
extern void UART_dtr_off (void );
extern void UART_rts_on (void );
extern void UART_rts_off (void );

void core_hangup() {
	// printf ("Hanging\n");
	UART_dtr_off();
	UART_rts_off();
}

void core_hangdown() {
	UART_dtr_on();
	UART_rts_on();
}
/******************************/

